        /* Copyright (c) 2007 by IBM Corporation */

dojo.provide("zero.form.widget.field.TimeDateFieldMixin");
dojo.require("zero.form.widget.field.TextFieldValidationMixin");
dojo.require("zero.form.widget.field.properties.RangePropertyHandlerMixin");

dojo.declare("zero.form.widget.field.TimeDateFieldMixin", 
    [zero.form.widget.field.TextFieldValidationMixin], 
    {
        maxValue: '',
        minValue: '',
        required: false,  
		
        onkeyup: function(evt)
        {
            var timeValue = this.parse(this.textbox.value, this.constraints);
            if (timeValue)
            {
                this.setValue(timeValue);
            }
            else
            {
                this.validate();
            }
            this._onMouse(evt); // update CSS classes
        },

        postCreate: function()
		{
			this.inherited("postCreate",arguments);
			this.textbox.style.width = '5em';
		},

		setAdditionalProperties: function(pJson)
		{
			// empty string is the default min/max value - means unbounded			
			this.maxValue = (pJson.max === undefined) ? "" : pJson.max;
        	this.minValue = (pJson.min === undefined) ? "" : pJson.min;
		},
		
		getAdditionalProperties: function(pJson)
		{
			// don't set min/max if it is not defined
			if (this.maxValue !== undefined && this.maxValue !== "") 
			{
				pJson.max = this.maxValue;
			}
			if (this.minValue !== undefined && this.minValue !== "") 
			{
				pJson.min = this.minValue;
			}
		},

		_onBlur: function()
		{
		} 
    }
);
